gpo.zugaina.org

Search Portage & Overlays:

dev-ruby/multi_json

A gem to provide swappable JSON backends

Screenshots

  • multi_json-1.15.0
    ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    test ruby_targets_ruby26 ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 doc test test

    View      Download      Browse     License: MIT   
    Overlay: gentoo
  • multi_json-1.14.1
    amd64 arm arm64 ~hppa ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris
    test ruby_targets_ruby25 ruby_targets_ruby26 ruby_targets_ruby27 doc test test

    View      Download      Browse     License: MIT   
    Overlay: gentoo
  • multi_json-1.9.2
    amd64 x86
    test elibc_FreeBSD ruby_targets_ruby19 ruby_targets_ruby20 ruby_targets_ruby21 ruby_targets_jruby doc test test

    View      Download      Browse     License: MIT   
    Overlay: argent-main

Runtime Dependencies

multi_json-1.15.0


ruby_targets_ruby26?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby26
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby26
                  (-)
            ] )
       )

ruby_targets_ruby27?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby27
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby27
                  (-)
            ] )
       )

ruby_targets_ruby30?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby30
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby30
                  (-)
            ] )
       )

ruby_targets_ruby31?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby31
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby31
                  (-)
            ] )
       )

ruby_targets_ruby26?
      ( dev-lang/ruby:2.6 )

ruby_targets_ruby27?
      ( dev-lang/ruby:2.7 )

ruby_targets_ruby30?
      ( dev-lang/ruby:3.0 )

ruby_targets_ruby31?
      ( dev-lang/ruby:3.1 )

ruby_targets_ruby26?
      ( virtual/rubygems[ruby_targets_ruby26
            (-)
      ] )

ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27
            (-)
      ] )

ruby_targets_ruby30?
      ( virtual/rubygems[ruby_targets_ruby30
            (-)
      ] )

ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31
            (-)
      ] )

multi_json-1.14.1


ruby_targets_ruby25?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby25
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby25
                  (-)
            ] )
       )

ruby_targets_ruby26?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby26
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby26
                  (-)
            ] )
       )

ruby_targets_ruby27?
      ( ||
            ( >=dev-ruby/json-1.4:*[ruby_targets_ruby27
                  (-)
            ] >=dev-ruby/yajl-ruby-1.0[ruby_targets_ruby27
                  (-)
            ] )
       )

ruby_targets_ruby25?
      ( dev-lang/ruby:2.5 )

ruby_targets_ruby26?
      ( dev-lang/ruby:2.6 )

ruby_targets_ruby27?
      ( dev-lang/ruby:2.7 )

ruby_targets_ruby25?
      ( virtual/rubygems[ruby_targets_ruby25
            (-)
      ] )

ruby_targets_ruby26?
      ( virtual/rubygems[ruby_targets_ruby26
            (-)
      ] )

ruby_targets_ruby27?
      ( virtual/rubygems[ruby_targets_ruby27
            (-)
      ] )

multi_json-1.9.2


ruby_targets_ruby19?
      ( ||
            ( >=dev-ruby/json-1.4[ruby_targets_ruby19] >=dev-ruby/yajl-ruby-0.7[ruby_targets_ruby19] =dev-ruby/activesupport-3*[ruby_targets_ruby19] )
       )

ruby_targets_ruby20?
      ( ||
            ( >=dev-ruby/json-1.4[ruby_targets_ruby20] >=dev-ruby/yajl-ruby-0.7[ruby_targets_ruby20] =dev-ruby/activesupport-3*[ruby_targets_ruby20] )
       )

ruby_targets_ruby21?
      ( ||
            ( >=dev-ruby/json-1.4[ruby_targets_ruby21] >=dev-ruby/yajl-ruby-0.7[ruby_targets_ruby21] =dev-ruby/activesupport-3*[ruby_targets_ruby21] )
       )

ruby_targets_jruby?
      ( ||
            ( >=dev-ruby/json-1.4[ruby_targets_jruby] >=dev-ruby/yajl-ruby-0.7[ruby_targets_jruby] =dev-ruby/activesupport-3*[ruby_targets_jruby] )
       )

ruby_targets_ruby19?
      ( dev-lang/ruby:1.9 )

ruby_targets_ruby20?
      ( dev-lang/ruby:2.0 )

ruby_targets_ruby21?
      ( dev-lang/ruby:2.1 )

ruby_targets_jruby?
      ( dev-java/jruby )

ruby_targets_ruby19?
      ( virtual/rubygems[ruby_targets_ruby19] )

ruby_targets_ruby20?
      ( virtual/rubygems[ruby_targets_ruby20] )

ruby_targets_ruby21?
      ( virtual/rubygems[ruby_targets_ruby21] )

ruby_targets_jruby?
      ( virtual/rubygems[ruby_targets_jruby] )